.announcement-bar__sticky {
    inset-block-start: 0;
    z-index: var(--z-index-fixed);
    animation: animation-slide-in-top 0.4s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.announcement-bar__mode-always {
    position: sticky;
    backface-visibility: hidden;
}

@media (min-width: 960px) {
    .announcement-bar__mode-desktop {
        position: sticky;
        backface-visibility: hidden;
    }
}

@media (max-width: 959px) {
    .announcement-bar__mode-mobile {
        position: sticky;
        backface-visibility: hidden;
    }
}

.announcement-bar__group {
    display: flex;
}

.announcement-bar__group-item {
    position: relative;
    text-align: center;
    word-break: break-all;
    background-color: rgb(var(--color-background));
}

.announcement-bar__group-item-inner {
    position: relative;
    z-index: var(--z-index-active);
    display: inline-block;
}

.announcement-bar__group-item-inner>div {
    line-height: 20px;
}

.announcement-bar__group-item-link,
.announcement-bar__group-item-link:empty {
    position: absolute;
    inset: 0;
    display: block;
    width: 100%;
    height: 100%;
}

.announcement-bar__group-item-divide-line::after {
    position: absolute;
    inset-block-end: 0;
    inset-inline-start: 0;
    width: 100%;
    height: 1px;
    content: "";
    background-color: rgb(var(--color-entry-line));
}

.announcement-bar__group-tiled {
    flex-direction: column;
}

.announcement-bar__group-compact>.announcement-bar__group-item {
    flex: 1;
}

@media (max-width: 959px) {
    .announcement-bar__group-compact>.announcement-bar__group-item {
        flex: 0 0 100%;
    }
}

.announcement-bar__group-horizontal>.announcement-bar__group-item {
    flex: 0 0 100%;
}

.announcement-bar__carousel-vertical {
    position: relative;
    overflow: hidden;
}

.announcement-bar__carousel-vertical-fake {
    overflow: hidden;
    visibility: hidden;
}

.announcement-bar__carousel-vertical theme-carousel {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.announcement-bar__carousel-vertical .announcement-bar__carousel-wrapper {
    height: 100%;
}

.announcement-bar__group-vertical {
    height: 100%;
}

.announcement-bar__group-vertical>* {
    height: 100%;
}

.announcement-bar__button-wrapper {
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 50%;
    height: 100%;
    transform: translateX(-50%);
}

.announcement-bar__button {
    position: absolute;
    inset-block-start: 50%;
    transform: translateY(-50%);
    z-index: var(--z-index-hover);
    color: rgb(var(--color-text));
    cursor: pointer;
    background-color: transparent;
    border: none;
}

.announcement-bar__button[name="previous"] {
    inset-inline-start: 20px;
}

@media (max-width: 959px) {
    .announcement-bar__button[name="previous"] {
        inset-inline-start: 10px;
    }
}

.announcement-bar__button[name="next"] {
    inset-inline-end: 20px;
}

.announcement-bar__button[name="next"] svg {
    transform: rotate(180deg);
}

@media (max-width: 959px) {
    .announcement-bar__button[name="next"] {
        inset-inline-end: 10px;
    }
}

#shopline-section-sections--header-group__announcement-bar {
    z-index: var(--z-index-sticky);
}

#shopline-section-sections--header-group__announcement-bar:not(.announcement-bar__sticky) {
    position: relative;
}

.announcement-bar-carousel {
    background-color: rgba(var(--color-background));
}

@media (min-width: 960px) {
    .announcement-bar-carousel {
        display: grid;
        grid-template-columns: 1fr 2fr 1fr;
        grid-gap: 10px;
        align-items: center;
        padding-inline: 24px;
    }
}

.announcement-bar__social-media-content {
    display: flex;
    align-items: center;
    gap: 12px;
}

.announcement-bar__social-media-content li {
    display: flex;
    align-items: center;
    justify-content: center;
}

.announcement-bar__social-media-content li a {
    width: 16px;
    height: 16px;
    line-height: 0;
    color: rgba(var(--color-text));
}

.announcement-bar__social-media-content li a:hover {
    color: rgba(var(--color-text));
}

.announcement-bar__social-media-content li a svg {
    width: 100%;
    height: 100%;
}

.announcement-bar-carousel .localization-form {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 12px;
}

.announcement-bar-carousel .select {
    text-align: end;
}

.announcement-market-selector {
    display: flex;
    align-items: center;
    gap: 12px;
}

.announcement-market-selector theme-select {
    border: 0;
    width: auto;
    color: inherit;
}

.announcement-market-selector theme-select>select {
    height: auto;
    padding: 0 18px 0 0;
    width: auto;
    text-align: end;
    background-color: transparent;
    font-size: var(--font-body-sm);
    letter-spacing: 1px;
}

html[dir="rtl"] .announcement-market-selector theme-select>select {
    padding: 0 0 0 18px;
}

.announcement-market-selector theme-select::after {
    box-shadow: none;
}

.announcement-market-selector theme-select .theme-select__arrow {
    position: absolute;
    inset-block-start: 0;
    inset-inline-end: 0;
    z-index: var(--z-index-hover);
    width: var(--icon-size);
    color: inherit;
    pointer-events: none;
    user-select: none;
    transition: transform 0.2s;
    transform: translateY(-50%);
    top: 50%;
}

@media (max-width: 1600px) {
    .announcement-bar__social-media-content li:nth-child(n + 8) {
        display: none;
    }
}

@media (max-width: 1140px) {
    .announcement-bar__social-media-content li:nth-child(n + 5) {
        display: none;
    }
}

html[dir="rtl"] .announcement-bar__button-wrapper {
    transform: translateX(50%);
}

html[dir="rtl"] .announcement-bar__button[name="next"] svg {
    transform: rotate(0deg);
}

html[dir="rtl"] .announcement-bar__button[name="previous"] svg {
    transform: rotate(180deg);
}

html[dir="rtl"] .announcement-market-selector theme-select>select {
    padding: 0 0 0 18px;
}